// SPDX-License-Identifier: Apache-2.0
import { Query } from "../../../../../core/query/Query";
export class LocksIdQueryResponse {
    payload;
    constructor(payload) {
        this.payload = payload;
    }
}
export class LocksIdQuery extends Query {
    securityId;
    targetId;
    start;
    end;
    constructor(securityId, targetId, start, end) {
        super();
        this.securityId = securityId;
        this.targetId = targetId;
        this.start = start;
        this.end = end;
    }
}
